Rephrase confusing "thanks" message on diff page
Open, Needs TriagePublic

Description

The message "Send public thanks for this edit?" is confusing. People have been known to misinterpret it it as giving the user a choice of "Send public thanks" vs. "Send private thanks". Actually the choice is "Send public thanks" vs. "Don't send thanks". Although the idea of informing users that thanks are public—which some users find mandatory (T90486)—complicates this somewhat, it is easy enough to clarify the function:

Existing language

Changes to be made:

Change language as follows (observing changes in boldface and other styling tweaks, as shown): Publicly send thanks? Thank | Cancel )

  • Note that this formulation is the same as what is used on the History page
  • Please notice the pipe between links for "Thank" and "Cancel—this device is used elsewhere on this page, so should be acceptable.
  • Also note the spaces between "Cancel" and the (apparently required) close paren and also on either side of the pipe. Without these separating spaces the links get confusing.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 1 2017, 3:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Johan awarded a token.Mar 1 2017, 3:12 AM
Legoktm added a subscriber: Legoktm.Mar 1 2017, 4:10 AM

I was a bit scared when I saw the bug title but the proposed change seems reasonable to me.

I think that wording is less open to misinterpretation than what exists now, but not bulletproof. What if the confirmation said:

All thanks are public. Send thanks? [Thank] [Cancel]

Trizek-WMF added a subscriber: Trizek-WMF.

Have something less confusing than two blue bold links in the middle of a pack of bolded blue links would help too. :)

jmatazzoni renamed this task from Thanks confirmation message is confusing to Rephrase confusing "thanks" message on diff page.Nov 27 2017, 7:48 PM
jmatazzoni removed jmatazzoni as the assignee of this task.
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Nov 28 2017, 5:52 PM
jmatazzoni updated the task description. (Show Details)Nov 29 2017, 10:03 PM

Change 405380 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Thanks@master] revthank: Embed gender of thanks recipients in the page

https://gerrit.wikimedia.org/r/405380

Change 405381 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Thanks@master] revthank: Clarify confirmation message and change yes/no messages

https://gerrit.wikimedia.org/r/405381

Change 405380 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] revthank: Embed gender of thanks recipients in the page

https://gerrit.wikimedia.org/r/405380

Change 405381 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] revthank: Clarify confirmation message and change yes/no messages

https://gerrit.wikimedia.org/r/405381

Checked in testwiki (wmf.20).
The final phrasing:
"All thanks are public. Send thanks? Thank Cancel"

testwiki wmf.20

vs wmf.17

In my opinion, the final phrasing puts a bit more emphasis on the fact that 'Thanks' are, indeed, public that it was intended by the ticket?
Compare with:

Send thank you? send cancel (All thanks are public.)
Send thank you? yes no (All thanks are public.)

QA Recommendation: Product should weigh in

Moriel has informed me of a few constraints that I wasn't aware of before. These are:

  • Everything has to be bold
  • I can't get rid of the parenthesis on the top line, or make it go to the next line where it belongs.
  • The action links have to be at the end.

Given these, the formulation I'd preferred is not possible. I tend to agree, however, that the wording @Catrope substituted puts a little too much emphasis on the public thing,

Why don't we use the wording that get used if I thank on the History page, which has the advantage of being shorter as well:

Publicly send thanks? Thank Cancel)

Released. Should be solved, shouldn't it?

The final wording that @jmatazzoni proposed is not in place. The present wording (as in wmf.24) on diff pages and History pages is the same:

Thatnks @Etonkovidova. Yes, if it's not too much trouble, I'd prefer a formulation that doesn't pus so much emphasis on the "All thanks are public" aspect, which some might find a little confusing. Let's please go with this formulation which, as noted, is the same as is on the History page (and, since the device is used elsewhere on the page, let's put in a pipe to divide "Thank" and "Cancel":

Publicly send thanks? Thank | Cancel)

@Catrope, I see you made the change previously, so I've assigned this to you, if that's OK.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 5 2018, 5:55 PM
Catrope removed Catrope as the assignee of this task.Jul 5 2018, 5:55 PM
Catrope moved this task from Incoming to To Do on the Growth-Team (Current Sprint) board.
JTannerWMF moved this task from Inbox to Q1 2018-19 on the Growth-Team board.
jmatazzoni updated the task description. (Show Details)Jul 19 2018, 12:27 AM

I rewrote the Description so that it reflects our final language choice. So the wording in the Description at top is now correct.